> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send

> Used to send a simple campaign i.e. one that is not automated with a schedule but is to be sent immediately when required.

## OpenAPI

````json POST /send/campaign
{
  "openapi": "3.1.0",
  "info": {
    "title": "external-api",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.eu.xtremepush.com/api/external"
    }
  ],
  "paths": {
    "/send/campaign": {
      "post": {
        "summary": "Send",
        "description": "Used to send a simple campaign i.e. one that is not automated with a schedule but is to be sent immediately when required.",
        "operationId": "campaign-send",
        "deprecated": "false",
        "requestBody": {
          "required": "true",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "apptoken",
                  "id"
                ],
                "properties": {
                  "apptoken": {
                    "type": "string",
                    "description": "Your App token"
                  },
                  "id": {
                    "type": "integer",
                    "format": "int32",
                    "description": "The id of the campaign to be sent"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": "200",
                      "default": "0"
                    },
                    "success": {
                      "type": "boolean",
                      "example": "true",
                      "default": "true"
                    },
                    "message": {
                      "type": "string",
                      "example": "Campaign successfully sent"
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "code": "200",
                      "success": "true",
                      "message": "Campaign successfully sent"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": "400",
                      "default": "0"
                    },
                    "success": {
                      "type": "boolean",
                      "example": "false",
                      "default": "true"
                    },
                    "message": {
                      "type": "string",
                      "example": "Failed to send campaign"
                    },
                    "errors": {
                      "type": "object",
                      "properties": {
                        "ios": {
                          "type": "string",
                          "example": "Upload iOS app certificate"
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "code": "400",
                      "success": "false",
                      "message": "Failed to send campaign",
                      "errors": {
                        "ios": "Upload iOS app certificate"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Campaign Methods"
        ]
      }
    }
  }
}
````

